[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMapObject.IndexOf

Find index of a key in the list.

## Declaration

Source position: fgl.pp line 377

`public function TFPGMapObject.IndexOf(`
`const AKey: TKey`
`):Integer;`

## Arguments

`AKey` |  | Key value to search.

## Function result

Index of AKey in the list, -1 if not present.

## Description

IndexOf returns the index of AKey in the list, or -1 if the key was not found in the list.

## Errors

None.

## See also

TFPGMapObject.Find |  | Find item based on key
TFPGMapObject.IndexOfData |  | Find index of data value in the list.